/*
	window.onload - executar uma função quando a página carregar por completo. O problema: os códigos são executados somente quando as imagens também forrem carregadas. 
	E isso inclui os banners, milhares de fotos, ícones, dentre outros.
*/
$(document).ready(function(){

});

$(window).load(function() {	
	//	
	var i;
	var id;
	var nro;
	var idSelecionado;	
	for (i = 0; i < $('.TableCustomNavbarLeftItems').length; i++) {	//-- Para cada 'objeto' achado, adiciona método de disparo de evento 'onclick'
		id = $('.TableCustomNavbarLeftItems').get(i).id;
		nro = id.substring(id.length - 8, id.length);		
		$('#'+id).attr('onclick', "eventoRedirecionaMenuMultiAcervo('"+nro+"')");
	}
	
	$( "#DETALHEMENU_MPAGE" ).click(function() {
		if($("#MENULATERAL_MPAGE").css("display") != "none"){
			$("#MENULATERAL_MPAGE").css("display", "none");
		}else{
			$("#MENULATERAL_MPAGE").css("display", "");
		}
	});
	
});

function eventoRedirecionaMenuMultiAcervo(nro) {	
	var url = $('#vGRDVALURL_' + nro).val();
	var target = $('#vGRDVALTARGET_' + nro).val(); //-- Abrir nova aba ou continuar na mesma (_blank ou _self)
	if((target == null) || (target == "") || (target == undefined)){
		target = 'self';
	}
	if(url != null && url != "" && url != undefined){
		window.open(url, target);
	}
}

function alteraRadioButtonEtiqueta() {
	$("#TABLEETIQINDIVIDUAL").hide();
	$("#TABLEETIQAGRUPADA").hide();
	$("#TABLEETIQARQUIVOS").hide();
	//	
	if($("input[name='vINDTAMETIQUETA']:checked").val() == "INDIVIDUAL") {
		$("#TABLEETIQINDIVIDUAL").show();
	}
	if($("input[name='vINDTAMETIQUETA']:checked").val() == "AGRUPADAS#") {
		$("#TABLEETIQAGRUPADA").show();
	}
	if($("input[name='vINDTAMETIQUETA']:checked").val() == "ARQUIVOS##") {
		$("#TABLEETIQARQUIVOS").show();
	}	
}